Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.invoicing
Class InvoiceValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.invoicing.InvoiceValue

public class InvoiceValue
extends SmartValue

An Invoice is the primary mechanism for billing a customer for items purchased. It associates a PackingList with a payment method. Inventory Records are managed by the `InventoryManager` and referenced by the `ItemInventory`

See Also:
  `Invoice`, `InvoiceHome`, `Invoice.getInvoiceByValue()`, `Invoice.setInvoiceByValue(InvoiceValue)`, Serialized Form

Field Summary
`java.lang.String` | `authorizationCode` authorizationCode [Invoice] <*>------> [`String`]
`java.sql.Date` | `creationDate` creationDate [Invoice] <*>------> [`java.sql.Date`]
`java.lang.String` | `orderKey` orderKey [Invoice] <*>------> [`String`] (Primary Key)
`SmartHandle` | `packingList` packingList [Invoice] <>------> [`theory.smart.ebusiness.shipping.PackingList`]
`CreditCard` | `paymentMethod` paymentMethod [Invoice] <*>------> [`theory.smart.axiom.contact.CreditCard`]
`Price` | `shippingCost` shippingCost [Invoice] <*>------> [`theory.smart.axiom.units.Price`]

Constructor Summary
`protected` | `InvoiceValue()` Only get/setInvoiceByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderKey

    public java.lang.String orderKey

                        orderKey
       [Invoice] <*>------> [String] (Primary Key)

### authorizationCode

    public java.lang.String authorizationCode

                        authorizationCode
       [Invoice] <*>------> [String]

### creationDate

    public java.sql.Date creationDate

                        creationDate
       [Invoice] <*>------> [java.sql.Date]

### paymentMethod

    public CreditCard paymentMethod

                        paymentMethod
       [Invoice] <*>------> [theory.smart.axiom.contact.CreditCard]

### packingList

    public SmartHandle packingList

                        packingList
       [Invoice] <>------> [theory.smart.ebusiness.shipping.PackingList]

### shippingCost

    public Price shippingCost

                        shippingCost
       [Invoice] <*>------> [theory.smart.axiom.units.Price]

Constructor Detail

### InvoiceValue

    protected InvoiceValue()

  Only get/setInvoiceByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.